BAM_TO_SRA_SUB(1)

NAME
bam_to_sra_sub.pl - Generate SRA submission.

SYNOPSIS
bam_to_sra_sub.pl [options] [file(s)...]

  Required parameters:
    -outdir    -o   Folder to output result to.
    -gnos      -g   GNOS upload server, e.g.
                      https://gtrepo-ebi.annailabs.com

  Optional:
    -study     -s   Study reference in repository [icgc_pancancer]
    -type      -t   Only required if not encoded in readgroup LB tag.
                      [WGS|WXS|RNA-seq]
                      See '-m' for details

  Other:
    -help      -h   Brief help message.
    -man       -m   Full documentation.

  File list can be full file names, wildcards or combination, e.g.

    bam_to_sra_sub.pl -s icgc_pancancer -o myDonor/tumour_sra myDonor/tumour/*.bam

OPTIONS

-outdir
    Directory to write output to. All SRA XML files will be written to a 'sample' directory in this area, Associated BAM files and MD5s will be symlinked into this area for easy upload.

    Please ensure that you will be able to read from the area with GeneTorrent otherwise you will need to copy the data into an appropriate location (remembering to follow symlinks).

-gnos
    The path to the GNOS server that this data should be submitted to.

-study
    The STUDY_REF that this data is to be assigned to in the repository. Defaults to icgc_pancancer when not specified.

-type
    Added for convenience when sequencing type is not encoded into the RG:LB tag

      WGS     - Whole Genome Seq
      WXS     - Whole eXome Seq
      RNA-Seq - RNA seq

-help
    Print a brief help message and exits.

-man
    Prints the manual page and exits.